#include <bits/stdc++.h>

using namespace std;

int main()
{
    long n, i, j, index;
    int a, k = 0, p;

    cin >> n;
    int niz[n];
    for(i = 0; i < n; i ++)
    {
        cin >> niz[i];
    }

    for(i = 0; i < n; i ++)
    {
        a = niz[i];
        for(j = i + 1; j < n; j ++)
        {
            if(niz[j] > a)
            {
                index = j;
                a = niz[j];
                k = 1;
            }
        }
        if(k)
        {
            p = niz[i];
            niz[i] = niz[index];
            niz[index] = p;
            i = n;
        }
    }

    if(!k)
    {
        p = niz[0];
        niz[0] = niz[1];
        niz[1] = p;
    }

    for(i = 0; i < n; i ++)
        cout << niz[i] << " ";

    return 0;
}